/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
import { FlipperLib } from 'flipper-plugin-core';
import { Logger } from 'flipper-common';
import { RenderHost } from '../RenderHost';
export declare function baseFlipperLibImplementation(renderHost: RenderHost, logger: Logger): Omit<FlipperLib, 'enableMenuEntries' | 'selectPlugin' | 'showNotification' | 'createPaste' | 'intern' | 'settings'> & {
    intern: Omit<FlipperLib['intern'], 'currentUser' | 'isConnected'>;
};
//# sourceMappingURL=index.d.ts.map