"use strict";
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.setGlobalObject = void 0;
const setGlobalObject = (replacements) => {
    for (const [name, module] of Object.entries(replacements)) {
        globalThis[name] = module;
    }
};
exports.setGlobalObject = setGlobalObject;
//# sourceMappingURL=globalObject.js.map