"use strict";
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.frontendCoreConstants = exports.getPluginKey = exports.TestDevice = exports.BaseDevice = exports.ArchivedDevice = exports.AbstractClient = exports.getRenderHostInstance = void 0;
var RenderHost_1 = require("./RenderHost");
Object.defineProperty(exports, "getRenderHostInstance", { enumerable: true, get: function () { return RenderHost_1.getRenderHostInstance; } });
var AbstractClient_1 = require("./AbstractClient");
Object.defineProperty(exports, "AbstractClient", { enumerable: true, get: function () { return __importDefault(AbstractClient_1).default; } });
var ArchivedDevice_1 = require("./devices/ArchivedDevice");
Object.defineProperty(exports, "ArchivedDevice", { enumerable: true, get: function () { return __importDefault(ArchivedDevice_1).default; } });
var BaseDevice_1 = require("./devices/BaseDevice");
Object.defineProperty(exports, "BaseDevice", { enumerable: true, get: function () { return __importDefault(BaseDevice_1).default; } });
var TestDevice_1 = require("./devices/TestDevice");
Object.defineProperty(exports, "TestDevice", { enumerable: true, get: function () { return TestDevice_1.TestDevice; } });
__exportStar(require("./globalObject"), exports);
__exportStar(require("./plugins"), exports);
var pluginKey_1 = require("./utils/pluginKey");
Object.defineProperty(exports, "getPluginKey", { enumerable: true, get: function () { return pluginKey_1.getPluginKey; } });
__exportStar(require("./flipperLibImplementation"), exports);
var constants_1 = require("./fb-stubs/constants");
Object.defineProperty(exports, "frontendCoreConstants", { enumerable: true, get: function () { return __importDefault(constants_1).default; } });
//# sourceMappingURL=index.js.map