"use strict";
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestDevice = void 0;
const BaseDevice_1 = __importDefault(require("./BaseDevice"));
const RenderHost_1 = require("../RenderHost");
class TestDevice extends BaseDevice_1.default {
    constructor(serial, deviceType, title, os, specs) {
        super((0, RenderHost_1.getRenderHostInstance)().flipperServer, {
            serial,
            deviceType,
            title,
            os,
            specs,
            features: {
                screenCaptureAvailable: false,
                screenshotAvailable: false,
            },
        });
    }
    async startLogging() {
        // noop
    }
}
exports.TestDevice = TestDevice;
//# sourceMappingURL=TestDevice.js.map